GEOPM_CXX_MAN_POWERGOVERNORAGENT(3)

NAME
GEOPM_CXX_MAN_PowerGovernorAgent - agent that enforces a power cap

SYNOPSIS

#include <geopm/PowerGovernorAgent.hpp>

Link with -lgeopm (MPI) or -lgeopm (non-MPI)

DESCRIPTION

The PowerGovernorAgent enforces a per-compute-node power cap of the total power of all packages (sockets).

The behavior of this agent is described in more detail in the geopm_agent_power_governor(7) man page. The power limit is enforced using the geopm::PowerGovernor(3) class.

For more details, see the doxygen page at https://geopm.github.io/doxall/classgeopm_1_1_power_governor_agent.html.

SEE ALSO

geopm(7), geopm::Agent(3), geopm_agent_power_governor(7), geopm::PowerGovernor(3)

AUTHOR
Christopher Cantalupo, Brad Geltz, Konstantin Rebrov

COPYRIGHT
2015 - 2023, Intel Corporation. All rights reserved.